Zum Inhalt springen
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Get email insights

The check results and score for one email. Answers 404 when the email has no insights. BillionSend extension.

GET/emails/{id}/insights
Autorisierung
AuthorizationBearer-Token · headererforderlich

A BillionSend API key (bs_…).

Pfadparameter
idstring<uuid>erforderlich
Antworten
200

Best-practice check results and score computed when the email was sent

objectstringerforderlich
Erlaubt:email_insights
email_idstring<uuid>erforderlich
scorenumbererforderlich

Best-practice score, 0-10, one decimal

score_versionintegererforderlich
bandstringerforderlich
Erlaubt:excellentgoodneeds_attentionat_risk
marketingbooleanerforderlich
html_size_bytesinteger | nullerforderlich
computed_atstringerforderlich
checksobject[]erforderlich
Eigenschaften anzeigen
Array von object
idstringerforderlich

Check id from the @billionsend/core check catalog

severitystringerforderlich
Erlaubt:criticalmajorminorinfo
statusstringerforderlich
Erlaubt:passfailpassed_by_designnot_applicableunknown
penaltynumbererforderlich

Points deducted from the score; 0 unless status is fail

detailobject
401

Missing, malformed, unknown or revoked API key

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
403

Restricted API key

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
404

Not found

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://api.billionsend.com/emails/497f6eca-6276-4993-bfeb-53cbbbba6f08/insights' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Antwort
{
  "object": "email_insights",
  "email_id": "8e6bf5ae-e456-4654-87f8-33e2156caffc",
  "score": 0,
  "score_version": 0,
  "band": "excellent",
  "marketing": true,
  "html_size_bytes": 0,
  "computed_at": "string",
  "checks": [
    {
      "id": "string",
      "severity": "critical",
      "status": "pass",
      "penalty": 0,
      "detail": {
        "property1": null,
        "property2": null
      }
    }
  ]
}

War diese Seite hilfreich?